Skip to main content
GET
List Loyalty Tiers

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

Unique loyalty campaign ID or name.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at

Response

200 - application/json

Returns a list of loyalty tier objects.

Response body schema for GET v1/loyalties/{campaignId}/tiers.

object
enum<string>
default:list
required

The type of the object represented by JSON. This object stores information about loyalty tiers in a dictionary.

Available options:
list
data_ref
enum<string>
default:data
required

Identifies the name of the attribute that contains the array of loyalty tier objects.

Available options:
data
data
Loyalty Tier · object[]
required

This is an object representing a loyalty tier. Loyalty tiers are used to create a loyalty program with different levels of membership and varied earning rules and rewards based on customer's tiers.

total
integer
required

Total number of loyalty tier objects.